# Bloat
Bloat is the collective name for unnecessary, redundant and most of time plainly useless "features".

This article is more about bloat in the software sense, but it could also be extended into hardware or other fields.

- Eye candy (animations, etc.)
- Useless colors (as opposed to meaningful colors carrying a semantic value)
- Monolithic programs (as opposed to the [Unix philosophy](unix_philosophy.md))
- [Frameworks](frameworks.md)
- [OOP (object oriented programming)](oop.md)
- [C++](cpp.md)
- [JavaScript](javascript.md)
- [Rust](rust.md)
- [systemd](systemd.md)
- [Flatpak](flatpak.md)
- ...

## See also
- [Minimalism](minimalism.md)
