# Flatpak
*This article is part of the bloat and vomit inducing series*

Flatpak (also known as Fatpak) is a [bloated](bloat.md) package manager for [Linux](linux.md). It aims to "unify" and replace all distro
specific package managers into a single one. Because of that, it ships ALL libraries required by any installed program, even in the
distro already includes them, for "compatibility" purposes, sometimes for EACH package; this makes fatpak extremely bloated.
"*Ohhh brother one more package and fatpak will begin reusing the libraries trust bro*".
When that mythical point is reached you will already have like 20 copies of [glibc](glibc.md)
and like 5 video drivers for [GPUs](gpu.md) your machine does not even have.

Futhermore, Fatpak also forces a permission model and sandboxing for programs, (["apps"](app.md) in their terms). This is a step towards turning Linux into another
locked platform like mobile [operating systems](os.md), where "apps" can only be installed from a single pre-approved source, blocking any attempt from
the user to install his own "apps". Actually, fatpak already has a "app store", see: <https://flathub.org/>. It is also notable how almost all of their
"apps" look exactly the same, this is because they also aim to force [GNOME](gnome.md) as the only [GUI](gui.md)
toolkit along with the awful "Adwaita" theme.

{ Prediction: 8K screens will be required for GTK6 at this point given that their title bars occupy half
the screen in "[old](old.md) and obsolete" <=2K screens lmao ~tocariimaa }

## Less harmful alternatives
- your distro native package manager (if you come from the future and your package manager is fatpak, change distro)
- [BSDs](bsd.md) don't have any of this [bullshit](bullshit.md).

## See Also
- [systemd](systemd.md)
- <https://ludocode.com/blog/flatpak-is-not-the-future>
