# GNU
GNU (recursive acronym for *GNU is not Unix*; also ganoo) is a project meant to create a
[libre](free_software.md), [Unix](unix.md)-like operating system which was started by Richard Stallman in 1983.

By the end of the decade of 1980, the GNU implementations of Unix tools were mostly complete, the only
remaining part was the kernel. Then work on a free Unix-like kernel began, Hurd, which however was outpaced
by [Linux](linux.md) in terms of development activity.

GNU software are called "packages", all under the GPL license.

## Some notable GNU packages
- [Hurd](hurd.md), along with the GNU Mach [microkernel](microkernel.md)
- GCC (GNU Compiler Collection, originally GNU C Compiler)
- GDB (GNU Debugger)
- coreutils
- binutils
- Bison (GNU's implementation of the Yacc parser generator)
- Guile [Scheme](scheme.md)
- MIT/GNU Scheme
- GNU [Smalltalk](smalltalk.md)
- [Emacs](emacs.md)
- GNU [ed](ed.md)
- GRUB (Grand Unified [Bootloader](bootloader.md))
- [ncurses](ncurses.md)
- GNU Guix
- GNU Shepherd
- GNU IceCat, fork of [Mozilla](mozilla.md) Firefox
- ...
